﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace S01SWSample
{
    public partial class Form1 : Form
    {
        const short DevId = 0;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            short ErrCode;
            ErrCode = TUSBSSW.Tusbs01sw_Device_Open(DevId);
            if( ErrCode != 0 )//デバイスオープン
            {
                MessageBox.Show(TUSBSSW.GetErrMessage(ErrCode));//エラー発生
                this.Close();
            }
            else
                Timer1.Enabled = true;
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            TUSBSSW.Tusbs01sw_Device_Close(DevId); //デバイスクローズ
        }

        private void RelayOn_Click(object sender, EventArgs e)
        {
            short ErrCode;
            ErrCode = TUSBSSW.Tusbs01sw_Out(DevId,1);//On(1)出力
            if( ErrCode != 0 )
                MessageBox.Show(TUSBSSW.GetErrMessage(ErrCode));//エラー発生
        }

        private void RelayOff_Click(object sender, EventArgs e)
        {
            short ErrCode;
            ErrCode = TUSBSSW.Tusbs01sw_Out(DevId, 0);//Off(0)出力
            if (ErrCode != 0)
                MessageBox.Show(TUSBSSW.GetErrMessage(ErrCode));//エラー発生
        }

        private void Timer1_Tick(object sender, EventArgs e)
        {
            byte OnOff;
            short ErrCode;

            ErrCode = TUSBSSW.Tusbs01sw_In(DevId, out OnOff);//スイッチ状態読み込み
            if( ErrCode != 0 )
            {
                MessageBox.Show(TUSBSSW.GetErrMessage(ErrCode));//エラー発生
                this.Close();
            }
            else
            {
                if (OnOff == 0)
                    Picture1.Image = ImageList1.Images[1];
                else
                    Picture1.Image = ImageList1.Images[0];
            }
        }
    }
}
